=== debian/changelog ===
ocaml-num (1.3-1) unstable; urgency=medium

  * New upstream release
  * Add missing Breaks+Replaces (Closes: #945851)
  * Bump Standards-Version to 4.4.1
  * Build-depend on debhelper-compat
  * Add Rules-Requires-Root field
  * Add debian/upstream/metadata
  * Add autopkgtest

 -- Stéphane Glondu <glondu@debian.org>  Mon, 02 Dec 2019 11:29:25 +0100

ocaml-num (1.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 05 Nov 2019 09:21:10 +0100

ocaml-num (1.2-1) experimental; urgency=medium

  * Initial release (Closes: #933830)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 04 Aug 2019 19:12:00 +0200
