=== debian/tests/control ===
Tests: test-num
Depends: ocaml-nox, ocaml-findlib, libnum-ocaml-dev
