=== debian/changelog ===
ocaml-num (1.4-2build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:21:15 +0100

ocaml-num (1.4-2) unstable; urgency=medium

  * Fix detection of native architectures
  * Bump Standards-Version to 4.6.0
  * Bump debian/watch version to 4

 -- Stéphane Glondu <glondu@debian.org>  Thu, 20 Jan 2022 05:55:17 +0100

ocaml-num (1.4-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.1

 -- Stéphane Glondu <glondu@debian.org>  Tue, 24 Nov 2020 10:35:39 +0100
