=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-ocaml,
- ocaml-nox (>= 4.08),
+ ocaml,
  ocaml-findlib
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Section: ocaml
 Homepage: https://github.com/ocaml/num
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-num.git
