=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,3 @@
 
 %:
 	dh $@ --with ocaml
-
-override_dh_missing:
-	dh_missing --fail-missing
-
-override_dh_dwz:
