=== debian/changelog ===
ocaml-num (1.5-1build4) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 15:01:39 +0200

ocaml-num (1.5-1build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 03:44:23 +0100

ocaml-num (1.5-1build2) oracular; urgency=medium

  * Rebuild against Rebuild with fixed ocaml #1078549.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 08 Sep 2024 19:19:34 +0200

ocaml-num (1.5-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:15:43 +0200

ocaml-num (1.5-1) unstable; urgency=medium

  * New upstream release
  * Remove Breaks/Replaces relative to old versions
  * Fix debian/watch
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Wed, 14 Feb 2024 17:13:11 +0100
