=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  ocaml,
  ocaml-findlib
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: ocaml
 Homepage: https://github.com/ocaml/num
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-num.git
@@ -23,8 +23,6 @@
  ${misc:Depends}
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
-Breaks: ocaml-nox (<< 4.08)
-Replaces: ocaml-nox (<< 4.08)
 Description: library for arbitrary-precision and rational arithmetic (development)
  This OCaml library implements arbitrary-precision arithmetic on big
  integers and on rationals.
@@ -46,8 +44,6 @@
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}
-Breaks: ocaml-base-nox (<< 4.08), libfindlib-ocaml (<< 1.8)
-Replaces: ocaml-base-nox (<< 4.08), libfindlib-ocaml (<< 1.8)
 Description: library for arbitrary-precision and rational arithmetic (runtime)
  This OCaml library implements arbitrary-precision arithmetic on big
  integers and on rationals.
