=== debian/changelog ===
ocaml-num (1.6-1) unstable; urgency=medium

  * New upstream release
  * Use ocaml_dune dh buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Thu, 14 Aug 2025 11:19:10 +0200
