=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-ocaml,
- ocaml,
- ocaml-findlib
+ dh-ocaml (>= 2),
+ ocaml-dune,
+ ocaml
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Section: ocaml
