=== debian/tests/control ===
Tests: test-num
Depends: ocaml, ocaml-findlib, libnum-ocaml-dev
