=== debian/watch ===
version=4
https://github.com/ocaml/num/tags .*/v(.*)\.tar\.gz
